Name:           python-gcp-pilot
Version:        1.36.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Google Cloud Platform Friendly Pilot

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source gcp_pilot}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gcp-pilot' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gcp-pilot
Summary:        %{summary}

%description -n python3-gcp-pilot %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-gcp-pilot bigquery,build,datastore,dns,firestore,healthcare,iam,monitoring,pubsub,secret,sheets,speech,storage,tasks


%prep
%autosetup -p1 -n gcp_pilot-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x bigquery,build,datastore,dns,firestore,healthcare,iam,monitoring,pubsub,secret,sheets,speech,storage,tasks


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gcp-pilot -f %{pyproject_files}


%changelog
%autochangelog